﻿using Qwirkle.Views;
using QwirkleClassLibrary;
using QwirkleClassLibrary.Games;
using Microsoft.Maui.Controls;
using Qwirkle.Pages;

namespace Qwirkle
{
    public partial class MainPage : ContentPage
    {

        public MainPage()
        {
            InitializeComponent();
            BindingContext = this;
        }

        public void OnInfoClicked(object sender, EventArgs e)
        {
            DisplayAlert("Game notification", "Enter minimun 2 player and max 4 player !", "Ok ! Lets's go !");

            Navigation.PushAsync(new SetPlayers());
        }
        
        public void OnRulesClicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new Rules());
        }

        public void OnSettingsClicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new Settings());
        }

        public void OnCreditsClicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new Credits());
        }

        public void OnCLeaderboardClicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new Leaderboard());
        }

    }

}
